// ignore_for_file: avoid_print

import 'package:flutter/material.dart';

class ActionButtonsService {
  static List<TextButton> defaultActionButtons(Color labelColor) {
    return [
      TextButton.icon(
        onPressed: () => print('Live'),
        icon: const Icon(
          Icons.videocam,
          color: Colors.red,
        ),
        label: Text(
          'Live',
          style: TextStyle(color: labelColor),
        ),
      ),
      TextButton.icon(
        onPressed: () => print('Photo'),
        icon: const Icon(
          Icons.photo_library,
          color: Colors.green,
        ),
        label: Text(
          'Photo',
          style: TextStyle(color: labelColor),
        ),
      ),
      TextButton.icon(
        onPressed: () => print('Room'),
        icon: const Icon(
          Icons.video_call,
          color: Colors.purpleAccent,
        ),
        label: Text(
          'Room',
          style: TextStyle(color: labelColor),
        ),
      ),
    ];
  }
}
