import 'package:flutter/material.dart';

class LikeService {
  Color iconColor;
  Color labelColor;
  bool isLiked = false;
  String label = 'Like';

  LikeService(this.iconColor, this.labelColor);

  void handelLikePost(Color themeIconColor, Color themeLabelColor) {
    isLiked = !isLiked;

    isLiked ? iconColor = const Color(0xFF1777F2) : iconColor = themeIconColor;

    isLiked ? label = 'Liked' : label = 'Like';

    isLiked
        ? labelColor = const Color(0xFF1777F2)
        : labelColor = themeLabelColor;
  }
}
