// ignore_for_file: sized_box_for_whitespace, avoid_print

import 'package:flutter/material.dart';
import '../_widgets.dart';

/// Populated from single PostModel instance.
/// Consists of a row of Og1PostButtons (Like, Comment and Share)
class Og1PostActions extends StatelessWidget {
  final List<Og1PostButton>? postActionButtons;

  const Og1PostActions({Key? key, this.postActionButtons}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    if (postActionButtons == null || postActionButtons!.isEmpty) {
      return Container();
    }

    return Row(
      children: postActionButtons!,
    );
  }
}
